#include <cv.h>
#include <highgui.h>
#include <cvaux.h>

int
main (int argc, char **argv)
{
	IplImage *srcLeft,*srcRight;
	
  if (argc != 3 ||
      (srcLeft = cvLoadImage (argv[1], 1)) == 0 ||
      (srcRight = cvLoadImage (argv[2], 1)) == 0)
    return -1;
  /*
IplImage* srcLeft = cvLoadImage("left.jpg",1);
IplImage* srcRight = cvLoadImage("right.jpg",1);
*/

IplImage* leftImage = cvCreateImage(cvGetSize(srcLeft), IPL_DEPTH_8U, 1);
IplImage* rightImage = cvCreateImage(cvGetSize(srcRight), IPL_DEPTH_8U, 1);
IplImage* depthImage = cvCreateImage(cvGetSize(srcRight), IPL_DEPTH_8U, 1);

cvCvtColor(srcLeft, leftImage, CV_BGR2GRAY);
cvCvtColor(srcRight, rightImage, CV_BGR2GRAY);

cvFindStereoCorrespondence( leftImage, rightImage, CV_DISPARITY_BIRCHFIELD, depthImage, 50, 15, 3, 6, 8, 15 );
	
  cvNamedWindow ("depth", CV_WINDOW_AUTOSIZE);
  cvShowImage ("depth", depthImage);
  cvWaitKey (0);

  cvDestroyWindow ("depth");
  cvReleaseImage (&depthImage);
  cvReleaseImage (&rightImage);
  cvReleaseImage (&leftImage);
  cvReleaseImage (&srcRight);
  cvReleaseImage (&srcLeft);

  return 0;
}